Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.rmi
Class ServerRuntimeException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--weblogic.common.T3Exception
                              |
                              +--weblogic.rmi.RemoteException
                                    |
                                    +--weblogic.rmi.ServerRuntimeException

public class ServerRuntimeException
extends RemoteException

This exception is provided for compatibility with java.rmi.*

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.rmi.RemoteException
`detail`

Constructor Summary
`ServerRuntimeException()`
`ServerRuntimeException(java.lang.String s, java.lang.Throwable e)` Constructs a ServerRuntimeException with the specified string and nested exception.

Methods inherited from class weblogic.rmi.RemoteException
`getMessage`

Methods inherited from class weblogic.common.T3Exception
`getNested, getNestedException, printStackTrace, printStackTrace, setNestedException, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerRuntimeException

    public ServerRuntimeException()

### ServerRuntimeException

    public ServerRuntimeException(java.lang.String s,
                                  java.lang.Throwable e)

  Constructs a ServerRuntimeException with the specified string and nested exception.

  Parameters:
    `s` - String message
    `e` - Nested exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD